## exim4 4.92.1

=== debian/changelog ===
exim4 (4.92.1-1ubuntu3.1) eoan-security; urgency=medium

  * SECURITY UPDATE: Out-of-bounds read
    - debian/patches/CVE-2020-12783-*.patch: fix SPA
      authenticator, checking client-supplied data before using it
      in src/auths/spa.c, src/auths/spa-spa.c.
    - CVE-2020-12783

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Thu, 14 May 2020 10:18:41 -0300

exim4 (4.92.1-1ubuntu3) eoan; urgency=medium

  * SECURITY UPDATE: heap-based buffer overflow in string_vformat
    - debian/patches/CVE-2019-16928.patch: fix overflow in src/string.c.
    - CVE-2019-16928

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Sat, 28 Sep 2019 11:05:50 -0400

exim4 (4.92.1-1ubuntu2) eoan; urgency=medium

  * SECURITY UPDATE: remote command execution
    - debian/patches/CVE-2019-15846.patch: ensure not to interpret '\\'
      before '\0' in src/string.c
    - CVE-2019-15846

 -- Alex Murray <alex.murray@canonical.com>  Thu, 05 Sep 2019 11:29:48 +0930

exim4 (4.92.1-1ubuntu1) eoan; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Show Ubuntu distribution in SMTP banner
      + Build-Depends on lsb-release to detect Distribution.
      + d/p/fix_smtp_banner.patch: Show Ubuntu distribution in SMTP banner.
  * Dropped:
    - d/p/CVE-2019-13917.patch: avoid re-expansion in ${sort } in
      src/expand.c.
      [Fixed in 4.92.1]

 -- Bryce Harrington <bryce@canonical.com>  Mon, 12 Aug 2019 19:18:33 -0700

exim4 (4.92.1-1) unstable; urgency=low

  * New upstream bugfix release. (4.92.1 is 4.92 + the fix for CVE-2019-13917,
    so there are no source changes to the previous upload.)
    + Drop 77_Avoid-re-expansion-in-sort-CVE-2019-13917-OVE-201907.patch.
    + Use patches from exim-4.92.1+fixes branch.
  * In cron.daily use '/usr/sbin/exim4 -be '${primary_hostname}' instead of
    hostname --fqdn to get local hostname (for information purposes).
    Closes: #933231
  * Run exim4-base daily job via systemd.timer to guarantee execution after
    logrotate. Closes: #932328 (Thanks to Sven Hartge for bug-report and
    patch)
  * Add systemd-sysv as alternative for fulfilling the cron dependency.
  * Use debhelper 12 compat.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 04 Aug 2019 14:28:22 +0200

exim4 (4.92-10) unstable; urgency=high

  * Fix remote command execution vulnerability related to
    "${sort}"-expansion. CVE-2019-13917 OVE-20190718-0006

 -- Andreas Metzler <ametzler@debian.org>  Sat, 20 Jul 2019 19:01:57 +0200

exim4 (4.92-9) unstable; urgency=low

  * exim4-base.cron.daily, paniclog warning mail:
    + Improve on wording. ${E4BCD_PANICLOG_LINES} only sets an upper limit
      of reported lines, there might be less lines than that in the mail.
      Closes: #929626
    + Instead of quoting the last ${E4BCD_PANICLOG_LINES} send out the last
      lines not filtered out by "$E4BCD_PANICLOG_NOISE". Closes: #929798
  * Add missing patches from exim-4.92+fixes branch, other patches renamed for
    proper order.
    + 75_11-Fix-bP-smtp_receive_timeout-.-Bug-2384.patch
    + 75_12-Fix-build-with-recent-LibreSSL-when-including-DANE.-.patch
    + 75_13-SPF-better-buld-compatibility-with-OpenBSD.patch
    + 75_15-GnuTLS-3.6.7-cipher-strings.patch
    + 75_17-Fix-listing-a-named-queue-by-a-non-admin-user.-Bug-2.patch
    + 75_21-Unbreak-heimdal_gssapi-auth-driver.patch
    + 75_22-Fix-DSN-Final-Recipient-field.patch
    + 75_23-Fix-bounce-generation-under-RFC-3461-request.-Bug-24.patch
  * 75_20-Fix-detection-of-32b-platform-at-build-time.-Bug-240.patch is now
    also from + fixes branch.
  * Tighten dependency of exim4 on daemon packages. Closes: #930519 Add
    lintian override for version-substvar-for-external-package.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 05 Jul 2019 19:23:53 +0200

exim4 (4.92-7ubuntu2) eoan; urgency=medium

  * SECURITY UPDATE: code execution via ${sort }
    - debian/patches/CVE-2019-13917.patch: avoid re-expansion in ${sort }
      in src/expand.c.
    - CVE-2019-13917

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 25 Jul 2019 12:58:39 -0400

exim4 (4.92-7ubuntu1) eoan; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Show Ubuntu distribution in SMTP banner
      + Build-Depends on lsb-release to detect Distribution.
      + d/p/fix_smtp_banner.patch: Show Ubuntu distribution in SMTP banner.

 -- Bryce Harrington <bryce@canonical.com>  Mon, 13 May 2019 13:48:18 -0700

exim4 (4.92-4ubuntu1) disco; urgency=medium

  * Merge with Debian unstable (LP: #1821339). Remaining changes:
  * Show Ubuntu distribution in SMTP banner
    - Build-Depends on lsb-release to detect Distribution.
    - d/p/fix_smtp_banner.patch: Show Ubuntu distribution in SMTP banner.

 -- Karl Stenerud <karl.stenerud@canonical.com>  Mon, 25 Mar 2019 12:02:33 +0100

exim4 (4.92-2ubuntu1) disco; urgency=medium

  * Merge with Debian unstable (LP: #1818444). Remaining changes:
    - Show Ubuntu distribution in SMTP banner
      + Build-Depends on lsb-release to detect Distribution.
      + d/p/fix_smtp_banner.patch: Show Ubuntu distribution in SMTP banner.

 -- Karl Stenerud <kstenerud@gmail.com>  Tue, 05 Mar 2019 10:55:48 +0100

exim4 (4.92~RC4-2ubuntu2) disco; urgency=medium

  * No-change rebuild against libmysqlclient21

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 01 Feb 2019 16:57:54 +0000

exim4 (4.92~RC4-2ubuntu1) disco; urgency=medium

  * Merge with Debian unstable (LP: #1811095). Remaining changes:
    - Show Ubuntu distribution in SMTP banner
      + Build-Depends on lsb-release to detect Distribution.
      + d/p/fix_smtp_banner.patch: Show Ubuntu distribution in SMTP banner.

 -- Karl Stenerud <kstenerud@gmail.com>  Thu, 10 Jan 2019 16:41:45 +0100

exim4 (4.91-6ubuntu2) disco; urgency=medium

  * No-change rebuild for the perl 5.28 transition.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 02 Nov 2018 18:08:13 -0600

=== debian/control ===
Source: exim4
Section: mail
Priority: standard
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Exim4 Maintainers <pkg-exim4-maintainers@lists.alioth.debian.org>
Uploaders:
 Andreas Metzler <ametzler@debian.org>,
 Marc Haber <mh+debian-packages@zugschlus.de>
Homepage: https://www.exim.org/
Standards-Version: 4.4.0
Vcs-Git: https://salsa.debian.org/exim-team/exim4.git
Vcs-Browser: https://salsa.debian.org/exim-team/exim4
Build-Depends:
 debhelper-compat (= 12),
 default-libmysqlclient-dev,
 docbook-xml,
 docbook-xsl,
 libdb5.3-dev,
 libgnutls28-dev (>= 3.5.7),
 libident-dev,
 libldap2-dev,
 libpam0g-dev,
 libpcre3-dev,
 libperl-dev,
 libpq-dev,
 libsasl2-dev,
 libsqlite3-dev,
 libx11-dev,
 libxaw7-dev,
 libxext-dev,
 libxmu-dev,
 libxt-dev,
 lynx,
 po-debconf,
 xsltproc,
 lsb-release

Package: exim4-base
Architecture: any
Priority: optional
Breaks:
 exim4-daemon-custom (<<${Upstream-Version}),
 exim4-daemon-heavy (<<${Upstream-Version}),
 exim4-daemon-light (<<${Upstream-Version})
Conflicts: exim, exim-tls
Replaces:
 exim,
 exim-tls,
 exim4-daemon-custom,
 exim4-daemon-heavy,
 exim4-daemon-light
Depends:
 adduser,
 cron | cron-daemon | anacron | systemd-sysv,
 exim4-config (>=4.82) | exim4-config-2,
 lsb-base (>= 3.0-6),
 netbase,
 ${misc:Depends},
 ${shlibs:Depends}
# psmisc just for exiwhat.
Recommends: mailx, psmisc
Suggests:
 exim4-doc-html | exim4-doc-info,
 eximon4,
 file,
 gnutls-bin | openssl,
 mail-reader,
 spf-tools-perl,
 swaks
Description: support files for all Exim MTA (v4) packages
 Exim (v4) is a mail transport agent. exim4-base provides the support
 files needed by all exim4 daemon packages. You need an additional package
 containing the main executable. The available packages are:
 .
  exim4-daemon-light
  exim4-daemon-heavy
 .
 If you build exim4 from the source package locally, you can also
 build an exim4-daemon-custom package tailored to your own feature set.
 .
 The Debian exim4 packages have their own web page,
 http://wiki.debian.org/PkgExim4. There is also a Debian-specific
 FAQ list. Information about the way the Debian packages are
 configured can be found in
 /usr/share/doc/exim4-base/README.Debian.gz, which additionally contains
 information about the way the Debian binary packages are built. The
 very extensive upstream documentation is shipped in
 /usr/share/doc/exim4-base/spec.txt.gz. To repeat the debconf-driven
 configuration process in a standard setup, invoke dpkg-reconfigure
 exim4-config. There is a Debian-centered mailing list,
 pkg-exim4-users@lists.alioth.debian.org. Please ask Debian-specific
 questions there, and only write to the upstream exim-users mailing
 list if you are sure that your question is not Debian-specific. You
 can find the subscription web page on
 http://lists.alioth.debian.org/mailman/listinfo/pkg-exim4-users

Package: exim4-config
Architecture: all
Priority: optional
Breaks:
 exim4-daemon-heavy (<< 4.91~RC1),
 exim4-daemon-light (<< 4.91~RC1)
Provides: exim4-config-2
Conflicts:
 exim,
 exim-tls,
 exim4-config,
 exim4-config-2,
 ${MTA-Conflicts}
Depends: adduser, ${misc:Depends}, ${shlibs:Depends}
Description: configuration for the Exim MTA (v4)
 Exim (v4) is a mail transport agent. exim4-config provides the configuration
 for the exim4 daemon packages. The configuration framework has been split
 off the main package to allow sites to replace the configuration scheme
 with their own without having to change the actual exim4 packages.
 .
 Sites with special configuration needs (having a lot of identically
 configured machines for example) can use this to distribute their own
 custom configuration via the packaging system, using the magic
 available with dpkg's conffile handling, without having to do local
 changes on all of these machines.
 .
 The Debian exim4 packages have their own web page,
 http://wiki.debian.org/PkgExim4. There is also a Debian-specific
 FAQ list. Information about the way the Debian packages are
 configured can be found in
 /usr/share/doc/exim4-base/README.Debian.gz, which additionally contains
 information about the way the Debian binary packages are built. The
 very extensive upstream documentation is shipped in
 /usr/share/doc/exim4-base/spec.txt.gz. To repeat the debconf-driven
 configuration process in a standard setup, invoke dpkg-reconfigure
 exim4-config. There is a Debian-centered mailing list,
 pkg-exim4-users@lists.alioth.debian.org. Please ask Debian-specific
 questions there, and only write to the upstream exim-users mailing
 list if you are sure that your question is not Debian-specific. You
 can find the subscription web page on
 http://lists.alioth.debian.org/mailman/listinfo/pkg-exim4-users

Package: exim4-daemon-light
Architecture: any
Priority: optional
Provides:
 exim4-localscanapi-2.0,
 mail-transport-agent,
 ${dist:Provides:exim4-daemon-light}
Conflicts: mail-transport-agent
Replaces: exim4-base (<= 4.61-1), mail-transport-agent
Depends:
 exim4-base (>= ${Upstream-Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: lightweight Exim MTA (v4) daemon
 Exim (v4) is a mail transport agent. This package contains the exim4
 daemon with only basic features enabled. It works well with the
 standard setups that are provided by Debian and includes support for
 TLS encryption and the dlopen patch to allow dynamic loading of a
 local_scan function.
 .
 The Debian exim4 packages have their own web page,
 http://wiki.debian.org/PkgExim4. There is also a Debian-specific
 FAQ list. Information about the way the Debian packages are
 configured can be found in
 /usr/share/doc/exim4-base/README.Debian.gz, which additionally contains
 information about the way the Debian binary packages are built. The
 very extensive upstream documentation is shipped in
 /usr/share/doc/exim4-base/spec.txt.gz. To repeat the debconf-driven
 configuration process in a standard setup, invoke dpkg-reconfigure
 exim4-config. There is a Debian-centered mailing list,
 pkg-exim4-users@lists.alioth.debian.org. Please ask Debian-specific
 questions there, and only write to the upstream exim-users mailing
 list if you are sure that your question is not Debian-specific. You
 can find the subscription web page on
 http://lists.alioth.debian.org/mailman/listinfo/pkg-exim4-users

Package: exim4
Architecture: all
Priority: optional
Depends:
 debconf (>= 1.4.69) | cdebconf (>= 0.39),
 exim4-base (<< ${source:Version}.1),
 exim4-base (>= ${source:Version}),
 exim4-daemon-light (>= ${source:Version}) |
 exim4-daemon-heavy (>= ${source:Version}) |
 exim4-daemon-custom (>= ${source:Version}),
 ${misc:Depends}
Description: metapackage to ease Exim MTA (v4) installation
 Exim (v4) is a mail transport agent. exim4 is the metapackage depending
 on the essential components for a basic exim4 installation.
 .
 The Debian exim4 packages have their own web page,
 http://wiki.debian.org/PkgExim4. There is also a Debian-specific
 FAQ list. Information about the way the Debian packages are
 configured can be found in
 /usr/share/doc/exim4-base/README.Debian.gz, which additionally contains
 information about the way the Debian binary packages are built. The
 very extensive upstream documentation is shipped in
 /usr/share/doc/exim4-base/spec.txt.gz. To repeat the debconf-driven
 configuration process in a standard setup, invoke dpkg-reconfigure
 exim4-config. There is a Debian-centered mailing list,
 pkg-exim4-users@lists.alioth.debian.org. Please ask Debian-specific
 questions there, and only write to the upstream exim-users mailing
 list if you are sure that your question is not Debian-specific. You
 can find the subscription web page on
 http://lists.alioth.debian.org/mailman/listinfo/pkg-exim4-users

Package: exim4-daemon-heavy
Architecture: any
Priority: optional
Provides: exim4-localscanapi-2.0, mail-transport-agent
Conflicts: mail-transport-agent
Replaces: exim4-base (<= 4.61-1), mail-transport-agent
Depends:
 exim4-base (>= ${Upstream-Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Breaks: clamav-daemon (<< 0.95)
Description: Exim MTA (v4) daemon with extended features, including exiscan-acl
 Exim (v4) is a mail transport agent. This package contains the exim4
 daemon with extended features. In addition to the features already
 supported by exim4-daemon-light, exim4-daemon-heavy includes LDAP,
 sqlite, PostgreSQL and MySQL data lookups, SASL and SPA SMTP authentication,
 embedded Perl interpreter, and the content scanning extension
 (formerly known as "exiscan-acl") for integration of virus scanners
 and spamassassin.
 .
 The Debian exim4 packages have their own web page,
 http://wiki.debian.org/PkgExim4. There is also a Debian-specific
 FAQ list. Information about the way the Debian packages are
 configured can be found in
 /usr/share/doc/exim4-base/README.Debian.gz, which additionally contains
 information about the way the Debian binary packages are built. The
 very extensive upstream documentation is shipped in
 /usr/share/doc/exim4-base/spec.txt.gz. To repeat the debconf-driven
 configuration process in a standard setup, invoke dpkg-reconfigure
 exim4-config. There is a Debian-centered mailing list,
 pkg-exim4-users@lists.alioth.debian.org. Please ask Debian-specific
 questions there, and only write to the upstream exim-users mailing
 list if you are sure that your question is not Debian-specific. You
 can find the subscription web page on
 http://lists.alioth.debian.org/mailman/listinfo/pkg-exim4-users

#Package: exim4-daemon-custom
#Architecture: any
#Priority: optional
#Provides: exim4-localscanapi-2.0, mail-transport-agent
#Conflicts: mail-transport-agent
#Replaces: exim4-base (<= 4.61-1), mail-transport-agent
#Depends:
# exim4-base (>= ${Upstream-Version}),
# ${misc:Depends},
# ${shlibs:Depends}
#Description: custom Exim MTA (v4) daemon with locally set features
# Exim (v4) is a mail transport agent. This package contains a
# custom-configured exim4 daemon compiled to local needs. This package
# is not part of official Debian, but can easily be built from the
# Debian source package. For information about the feature set compiled in,
# and for bug reports, please find out who built your package.
# .
# The Debian exim4 packages have their own web page,
# http://wiki.debian.org/PkgExim4. There is also a Debian-specific
# FAQ list. Information about the way the Debian packages are
# configured can be found in
# /usr/share/doc/exim4-base/README.Debian.gz, which additionally contains
# information about the way the Debian binary packages are built. The
# very extensive upstream documentation is shipped in
# /usr/share/doc/exim4-base/spec.txt.gz. To repeat the debconf-driven
# configuration process in a standard setup, invoke dpkg-reconfigure
# exim4-config. There is a Debian-centered mailing list,
# pkg-exim4-users@lists.alioth.debian.org. Please ask Debian-specific
# questions there, and only write to the upstream exim-users mailing
# list if you are sure that your question is not Debian-specific. You
# can find the subscription web page on
# http://lists.alioth.debian.org/mailman/listinfo/pkg-exim4-users

Package: eximon4
Architecture: any
Priority: optional
Conflicts: eximon
Replaces: eximon
Depends: exim4-base (>= 4.10), ${misc:Depends}, ${shlibs:Depends}
Description: monitor application for the Exim MTA (v4) (X11 interface)
 Eximon is a helper program for the Exim MTA (v4). It allows
 administrators to view the mail queue and logs, and perform a variety
 of actions on queued messages, such as freezing, bouncing and thawing
 messages.

Package: exim4-dev
Architecture: any
Priority: optional
Depends: ${misc:Depends}
Description: header files for the Exim MTA (v4) packages
 Exim (v4) is a mail transport agent. This package contains header
 files that can be used to compile code that is then dynamically linked
 to exim's local_scan interface.
 .
 The Debian exim4 packages have their own web page,
 http://wiki.debian.org/PkgExim4. There is also a Debian-specific

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for exim4
# This file is public domain software, originally written by Joey Hess.
#
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

buildname := $(shell scripts/os-type)-$(shell scripts/arch-type)
DEBIAN := $(shell pwd)/debian

export DEB_BUILD_MAINT_OPTIONS := hardening=+all
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/pkg-info.mk
# SOURCE_DATE_EPOCH is exported by pkg-info.mk since dpkg 1.18.8/July 2016
# fall back to current date otherwise. Still needed since debhelper 12
# only depends on dpkg-dev (>= 1.18.2~).
SOURCE_DATE_EPOCH ?= $(shell date '+%s')


# The build system ignores CPPFLAGS, append them to CFLAGS
CFLAGS += $(shell getconf LFS_CFLAGS) -D_LARGEFILE_SOURCE \
	  -fno-strict-aliasing -Wall $(CPPFLAGS)
export CFLAGS
# LFLAGS is used where GNU would use LDFLAGS
export LFLAGS = $(LDFLAGS)

LC_ALL=C
export LC_ALL

# If you want to build a daemon with a configuration tailored to YOUR special
# needs, uncomment the exim4-daemon-custom package in debian/control,
# call "debian/rules unpack-configs", copy EDITME.exim4-light to
# EDITME.exim4-custom and modify it, then call "debian/rules pack-configs".
#
# Afterwards EITHER uncomment the customdaemon definition below, or set it
# to the desired value via the environment.
# e.g run:
# env customdaemon=exim4-daemon-custom dpkg-buildpackage -uc -us
#
# If you want to create multiple custom packages with different names, use
# the script debian/create-custom-package [suffix].

# customdaemon = exim4-daemon-custom
daemons = exim4-daemon-light exim4-daemon-heavy $(customdaemon)

# If you want to build with OpenSSL instead of GnuTLS, uncomment this
# OPENSSL:=1
# Please note that building exim4-daemon-heavy with OpenSSL is a GPL
# violation.

PROVIDE_DEFAULT_MTA := $(shell if dpkg-vendor --is Ubuntu || \
	dpkg-vendor --derives-from Ubuntu ; then : ; else \
	echo "default-mta" ; fi)
# for reproducible build. If set exim would use $TZ as default value for
# TIMEZONE_DEFAULT
undefine TZ
unexport TZ


unpack-configs: unpack-configs-stamp

unpack-configs-stamp: src/EDITME exim_monitor/EDITME
	patch -o EDITME.eximon exim_monitor/EDITME \
		$(DEBIAN)/EDITME.eximon.diff
	patch -o EDITME.exim4-light src/EDITME \
		$(DEBIAN)/EDITME.exim4-light.diff
ifdef OPENSSL
	patch EDITME.exim4-light $(DEBIAN)/EDITME.openssl.exim4-light.diff
endif
	for editme in $(DEBIAN)/EDITME.exim4-*.diff; do \
	  if [ "$$editme" != "$(DEBIAN)/EDITME.exim4-light.diff" ]; then \
	    TARGETNAME=`basename $$editme .diff`; \
	    echo patch -o $$TARGETNAME EDITME.exim4-light $$editme; \
	    patch -o $$TARGETNAME EDITME.exim4-light $$editme || \
	    exit $$? ;\
	  fi; \
	done
	touch unpack-configs-stamp

pack-configs:
	-diff -u src/EDITME EDITME.exim4-light \
		> $(DEBIAN)/EDITME.exim4-light.diff
	-for editme in EDITME.exim4-*; do \
	  if [ "$$editme" != "EDITME.exim4-light" ]; then \
	    echo diff -u EDITME.exim4-light $$editme; \
	    diff -u EDITME.exim4-light $$editme > $(DEBIAN)/$${editme}.diff; \
	  fi; \
	done
	-diff -u exim_monitor/EDITME EDITME.eximon \
		> $(DEBIAN)/EDITME.eximon.diff

bdir-stamp: unpack-configs-stamp
	for i in $(daemons) ; do \
		mkdir b-$$i && \
		find . -mindepth 1 -maxdepth 1 \
		-name debian -prune -o \
		-name 'b-*' -o -print0 | \
		xargs --no-run-if-empty --null \
		cp -a --target-directory=b-$$i ; \
	done
	touch $@

override_dh_auto_configure: unpack-configs-stamp bdir-stamp
	for i in $(daemons) ; do \
		mkdir -p b-$$i/Local && \
		cp EDITME.`echo $$i | sed -e s/exim4-daemon/exim4/` \
		b-$$i/Local/Makefile && \
		cp EDITME.eximon b-$$i/Local/eximon.conf ;\
		done

override_dh_auto_build:
	for i in $(daemons) ; do \
		echo building $$i; \
		cd $(CURDIR)/b-$$i && \
		$(MAKE) FULLECHO='' ; \
		done
	# Which version of Berkeley DB are we building against?
	printf '#include <db.h>\ninstdbversionis DB_VERSION_MAJOR DB_VERSION_MINOR\n' | \
		cpp -P | grep instdbversionis |\
		sed -e 's/[[:space:]]*instdbversionis[[:space:]]//' \
		-e 's/[[:space:]][[:space:]]*/./' \
		-e 's_^_s/^BDBVERSION=.*/BDBVERSION=_' \
		-e 's_$$_/_' \
		> $(DEBIAN)/berkeleydb.sed
	# Store Berkeley DB version in postinst script.
	sed -i -f $(DEBIAN)/berkeleydb.sed \
		$(DEBIAN)/exim4-base.postinst
	# symlink identical maintainerscripts
	for i in `echo $(daemons) | sed -e s/exim4-daemon-light//` ; do \
		ln -sfv exim4-daemon-light.prerm \
			"$(DEBIAN)/$$i.prerm" ; \
		ln -sfv exim4-daemon-light.postinst \
			"$(DEBIAN)/$$i.postinst" ; \
	done

override_dh_auto_install-arch: debian/README.Debian
	cd b-exim4-daemon-light && \
	  $(MAKE) install FULLECHO='' \
		INSTALL_ARG=-no_symlink \
		inst_conf=$(DEBIAN)/exim4-base/usr/share/doc/exim4-base/examples/example.conf \
		inst_aliases=$(DEBIAN)/exim4-base/usr/share/doc/exim4-base/examples/aliases \
		inst_dest=$(DEBIAN)/exim4-base/usr/sbin
	if [ -e "$(DEBIAN)/example.conf.md5" ] && [ "$$(< $(DEBIAN)/exim4-base/usr/share/doc/exim4-base/examples/example.conf md5sum)" != "$$(cat $(DEBIAN)/example.conf.md5)" ] ; then \
	  echo "upstream example configuration has changed, new md5sum:"; \
	  < $(DEBIAN)/exim4-base/usr/share/doc/exim4-base/examples/example.conf md5sum; \
	  echo "aborting build."; \
	  exit 1; \
	fi
	< $(DEBIAN)/exim4-base/usr/share/doc/exim4-base/examples/example.conf md5sum > $(DEBIAN)/example.conf.md5
	sed -e 's,/[a-zA-Z/0-9.-]*exim4-base/examples/,/etc/,' \
		< $(DEBIAN)/exim4-base/usr/share/doc/exim4-base/examples/example.conf \
		> $(DEBIAN)/exim4-base/usr/share/doc/exim4-base/examples/example.conf.tmp
	mv $(DEBIAN)/exim4-base/usr/share/doc/exim4-base/examples/example.conf.tmp \
		$(DEBIAN)/exim4-base/usr/share/doc/exim4-base/examples/example.conf
	install -m755 b-exim4-daemon-light/build-$(buildname)/convert4r4 \
		$(DEBIAN)/exim4-base/usr/sbin/exim_convert4r4
	install -m755 \
		b-exim4-daemon-light/build-$(buildname)/transport-filter.pl \
		b-exim4-daemon-light/util/ratelimit.pl \
		$(DEBIAN)/exim4-base/usr/share/doc/exim4-base/examples
	rm $(DEBIAN)/exim4-base/usr/sbin/exim
	mv $(DEBIAN)/exim4-base/usr/sbin/eximon \
		$(DEBIAN)/eximon4/usr/sbin
	mv $(DEBIAN)/exim4-base/usr/sbin/eximon.bin \
		$(DEBIAN)/eximon4/usr/lib/exim4
	pod2man --center=EXIM4 --section=8 \
		$(DEBIAN)/exim4-base/usr/sbin/exipick \
		$(DEBIAN)/exim4-base/usr/share/man/man8/exipick.8
	pod2man --center=EXIM4 --section=8 \
		$(DEBIAN)/exim4-base/usr/sbin/eximstats \
		$(DEBIAN)/exim4-base/usr/share/man/man8/eximstats.8
	install -m755 $(DEBIAN)/syslog2eximlog $(DEBIAN)/exim4-base/usr/sbin/
	pod2man --center=EXIM4 --section=8 \
		$(DEBIAN)/syslog2eximlog \
		$(DEBIAN)/exim4-base/usr/share/man/man8/syslog2eximlog.8
	for i in b-exim4-daemon-*/build-$(buildname)/exim ; do \
		install -m4755 -oroot -groot $$i \
		$(DEBIAN)/`echo $$i | sed -e 's/^b-//' -e 's_/.*__'`/usr/sbin/exim4 ; \
		done

override_dh_auto_install-indep: debian/README.Debian
	# if you change anything here, you will have to change
	# config-custom/debian/rules as well
	sed -e \
	"s/^UPEX4C_version=\"\"/UPEX4C_version=\"$(DEB_VERSION)\"/" \
	< $(DEBIAN)/debconf/update-exim4.conf \
	> $(DEBIAN)/exim4-config/usr/sbin/update-exim4.conf
	chmod 755 $(DEBIAN)/exim4-config/usr/sbin/update-exim4.conf
	install -m 755 $(DEBIAN)/update-exim4defaults \
		$(DEBIAN)/exim4-config/usr/sbin

	cd $(DEBIAN)/debconf/conf.d && \
		tar cf - `find \( -path '*/.svn/*' -prune \) -or \
		\( -type f -print \)` | \
		{ cd $(DEBIAN)/exim4-config/etc/exim4/conf.d/ && \
		tar xf - ; }

	install -m644 $(DEBIAN)/email-addresses $(DEBIAN)/exim4-config/etc/
	install -m640 -oroot -groot $(DEBIAN)/passwd.client \
		$(DEBIAN)/exim4-config/etc/exim4/
	chmod 755 $(DEBIAN)/debconf/update-exim4.conf.template
	env CONFDIR=$(DEBIAN)/debconf \
		$(DEBIAN)/debconf/update-exim4.conf.template --nobackup --run

# only called manually by maintainer before upload.
update-mtaconflicts:
	which grep-aptavail > /dev/null && \
		grep-aptavail --show-field=Package --field=Provides \
		mail-transport-agent --no-field-names \

## exim4 4.92.2

=== debian/changelog ===
exim4 (4.92.2-8+deb10u6+dde) unstable; urgency=medium

  * update

 -- Exim4 Maintainers <pkg-exim4-maintainers@lists.alioth.debian.org>  Tue, 06 Jul 2021 11:04:23 +0800

exim4 (4.92.2-8+deb10u6+dde) buster-security; urgency=medium

  * Non-maintainer upload.
  * Update version.

 -- wangpei <wangpei@uniontech.com>  Wed, 30 Jun 2021 14:26:23 +0800

exim4 (4.92-8+deb10u6) buster-security; urgency=high

  * Fix several security vulnerabilities reported by Qualys and add related
    robustness improvements. (Originally fixed in upstream release 4.94.3 and
    in upstream GIT branch exim-4.92.3+fixes. (Special thanks to Heiko)
    + CVE-2020-28025: Heap out-of-bounds read in pdkim_finish_bodyhash()
    + CVE-2020-28018: Use-after-free in tls-openssl.c
    + CVE-2020-28023: Out-of-bounds read in smtp_setup_msg()
    + CVE-2020-28010: Heap out-of-bounds write in main()
    + CVE-2020-28011: Heap buffer overflow in queue_run()
    + CVE-2020-28013: Heap buffer overflow in parse_fix_phrase()
    + CVE-2020-28017: Integer overflow in receive_add_recipient()
    + CVE-2020-28022: Heap out-of-bounds read and write in extract_option()
    + CVE-2020-28026: Line truncation and injection in spool_read_header()
    + CVE-2020-28015 and CVE-2020-28021: New-line injection into spool header
      file.
    + CVE-2020-28009: Integer overflow in get_stdinput()
    + CVE-2020-28024: Heap buffer underflow in smtp_ungetc()
    + CVE-2020-28012: Missing close-on-exec flag for privileged pipe
    + CVE-2020-28019: Failure to reset function pointer after BDAT error
    + CVE-2020-28007: Link attack in Exim's log directory
    + CVE-2020-28008: Assorted attacks in Exim's spool directory
    + CVE-2020-28014, CVE-2021-27216: Arbitrary PID file creation, clobbering,
      and deletion.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 01 May 2021 11:42:39 +0200

exim4 (4.92-8+deb10u5) buster; urgency=medium

  * Fix use of concurrent TLS connections under GnuTLS:
    80_01-GnuTLS-fix-hanging-callout-connections.patch
    80_02-GnuTLS-tls_write-wait-after-uncorking-the-session.patch
    80_03-GnuTLS-Do-not-care-about-corked-data-when-uncorking.patch
    (Thanks, Heiko Schlittermann for the backport)
  * Pull 82_TLS-use-RFC-6125-rules-for-certifucate-name-checks-w.patch from
    upstream git (already included in 4.94), on TLS connections to a CNAME
    verify the certificate against the original CNAME instead of against
    the A record. Closes: #985243
  * In README.Debian explicitly document the limitation/extent of server
    certificate checking (authenticity not enforced) in the default
    configuration (Thanks, Jö Fahlke). This Closes: #985244 (improved
    documentation and Closes: #985344 (Yes, without required cert
    checking MitM attacks are possible, but for a stable update documenting
    this is the best compromise.)

 -- Andreas Metzler <ametzler@debian.org>  Thu, 18 Mar 2021 09:10:15 +0100

exim4 (4.92-8+deb10u4) buster-security; urgency=high

  * Fix authentication bypass in SPA authenticator due to out-of-bound buffer
    read. https://bugs.exim.org/show_bug.cgi?id=2571 CVE-2020-12783

 -- Andreas Metzler <ametzler@debian.org>  Wed, 13 May 2020 18:01:31 +0200

## exim4 4.93

=== Makefile ===
# Top-level makefile for Exim; handles creating a build directory with
# appropriate links, and then creating and running the main makefile in that
# directory.

# Copyright (c) University of Cambridge, 1995 - 2018
# See the file NOTICE for conditions of use and distribution.

# IRIX make uses the shell that is in the SHELL variable, which often defaults
# to csh, so put this in to make it use the Bourne shell. In systems where
# /bin/sh is not a Bourne-compatible shell, this line will have to be edited,
# or "make" must be called with a different SHELL= setting.

SHELL=/bin/sh
RM_COMMAND=/bin/rm

# The buildname defaults to "<os-type>-<arch-type>". It can be
# overridden by the "build" parameter when invoking make (e.g. make
# build=xxx) This does not provide an override for the OS type and
# architecture type used during the build process; they still have to be
# used for the OS-specific files. To override them, you can set the
# shell variables OSTYPE and ARCHTYPE when running make.
#
# EXIM_BUILD_SUFFIX gets appended to the buildname.  (This enables
# parallel builds on a file system shared among different Linux distros
# (same os-type, same arch-type). The ../test/runtest script honours the
# EXIM_BUILD_SUFFIX when searching the Exim binary.)

buildname=$${build:-`$(SHELL) scripts/os-type`-`$(SHELL) scripts/arch-type`}$${EXIM_BUILD_SUFFIX:+.$$EXIM_BUILD_SUFFIX}

# The default target checks for the existence of Local/Makefile, that the main
# makefile is built and up-to-date, and then it runs it.
# If Local/Makefile-<buildname> exists, it is read too.

all: Local/Makefile configure
	@cd build-$(buildname); $(MAKE) SHELL=$(SHELL) $(MFLAGS)

# This pair for the convenience of of the Debian maintainers
exim: Local/Makefile configure
	@cd build-$(buildname); $(MAKE) SHELL=$(SHELL) $(MFLAGS) exim
utils: Local/Makefile configure
	@cd build-$(buildname); $(MAKE) SHELL=$(SHELL) $(MFLAGS) utils

Local/Makefile:
	@echo ""
	@echo "*** Please create Local/Makefile by copying src/EDITME and making"
	@echo "*** appropriate changes for your site."
	@echo ""
	@test ! -d Local && mkdir Local
	@false

# This is separated off so that "make build-directory" can be obeyed on
# its own if necessary.

build-directory:
	@builddir=build-$(buildname); \
	case "$$builddir" in *UnKnown*) exit 1;; esac; \
	$(SHELL) -c "test -d $$builddir -a -r $$builddir/version.c || \
	  (mkdir $$builddir; cd $$builddir; $(SHELL) ../scripts/MakeLinks)";

checks:
	$(SHELL) scripts/source_checks

# The "configure" target ensures that the build directory exists, then arranges
# to build the main makefile from inside the build directory, by calling the
# Configure-Makefile script. This does its own dependency checking because of
# the optional files.

configure: checks build-directory
	@cd build-$(buildname); \
	  build=$(build) $(SHELL) ../scripts/Configure-Makefile

# The "makefile" target forces a rebuild of the makefile (as opposed to
# "configure", which doesn't force it).

makefile: build-directory
	@cd build-$(buildname); $(RM_COMMAND) -f Makefile; \
	  build=$(build) $(SHELL) ../scripts/Configure-Makefile

# The installation commands are kept in a separate script, which expects
# to be run from inside the build directory.

install:        all
		@cd build-$(buildname); \
		build=$(build) $(SHELL) ../scripts/exim_install $(INSTALL_ARG)

# Tidy-up targets

clean:; @echo ""; echo '*** "make clean" just removes all .o and .a files'
	@echo '*** Use "make makefile" to force a rebuild of the makefile'
	@echo ""
	cd build-$(buildname); \
	$(RM_COMMAND) -f *.o lookups/*.o lookups/*.a auths/*.o auths/*.a \
	routers/*.o routers/*.a transports/*.o transports/*.a \
	pdkim/*.o pdkim/*.a

clean_exim:; cd build-$(buildname); \
	 $(RM_COMMAND) -f *.o lookups/*.o lookups/*.a auths/*.o auths/*.a \
	routers/*.o routers/*.a transports/*.o transports/*.a lookups/*.so

distclean:; $(RM_COMMAND) -rf build-* cscope*

cscope.files: FRC
	echo "-q" > $@
	echo "-p3" >> $@
	find src Local OS exim_monitor -name "*.[cshyl]" -print \
		    -o -name "os.[ch]*" -print \
		    -o -name "*akefile*" -print \
		    -o -name config.h.defaults -print \
		    -o -name EDITME -print >> $@

FRC:

# End of top-level makefile

=== src/lookups/Makefile ===
# Make file for building Exim's lookup modules.
# This is called from the main make file, after cd'ing
# to the lookups subdirectory.

# nb: at build time, the version of this file used will have had some
#     extra variable definitions and prepended to it and module build rules
#     interpolated below.

# MAGIC-TAG-MODS-OBJ-RULES-GO-HERE


all:             lookups.a lf_quote.o lf_check_file.o lf_sqlperform.o $(MODS)

lookups.a:       $(OBJ)
		 @$(RM_COMMAND) -f lookups.a
		 @echo "$(AR) lookups.a"
		 @$(AR) lookups.a $(OBJ)
		 $(RANLIB) $@

.SUFFIXES:       .o .c .so
.c.o:;           @echo "$(CC) $*.c"
		 $(FE)$(CC) -c $(CFLAGS) $(INCLUDE) $*.c

.c.so:;          @echo "$(CC) -shared $*.c"
		 $(FE)$(CC) $(LOOKUP_$*_INCLUDE) $(LOOKUP_$*_LIBS) -DDYNLOOKUP $(CFLAGS_DYNAMIC) $(CFLAGS) $(INCLUDE) $(DLFLAGS) $*.c -o $@

lf_check_file.o: $(PHDRS) lf_check_file.c  lf_functions.h
lf_quote.o:      $(PHDRS) lf_quote.c       lf_functions.h
lf_sqlperform.o: $(PHDRS) lf_sqlperform.c  lf_functions.h

cdb.o:           $(PHDRS) cdb.c
dbmdb.o:         $(PHDRS) dbmdb.c
dnsdb.o:         $(PHDRS) dnsdb.c
dsearch.o:       $(PHDRS) dsearch.c
ibase.o:         $(PHDRS) ibase.c
ldap.o:          $(PHDRS) ldap.c
lmdb.o:          $(PHDRS) lmdb.c
json.o:          $(PHDRS) json.c
lsearch.o:       $(PHDRS) lsearch.c
mysql.o:         $(PHDRS) mysql.c
nis.o:           $(PHDRS) nis.c
nisplus.o:       $(PHDRS) nisplus.c
oracle.o:        $(PHDRS) oracle.c
passwd.o:        $(PHDRS) passwd.c
pgsql.o:         $(PHDRS) pgsql.c
redis.o:         $(PHDRS) redis.c
spf.o:           $(PHDRS) spf.c
sqlite.o:        $(PHDRS) sqlite.c
testdb.o:        $(PHDRS) testdb.c
whoson.o:        $(PHDRS) whoson.c

cdb.so:           $(PHDRS) cdb.c
dbmdb.so:         $(PHDRS) dbmdb.c
dnsdb.so:         $(PHDRS) dnsdb.c
dsearch.so:       $(PHDRS) dsearch.c
ibase.so:         $(PHDRS) ibase.c
json.so:          $(PHDRS) json.c
ldap.so:          $(PHDRS) ldap.c
lmdb.so:          $(PHDRS) lmdb.c
lsearch.so:       $(PHDRS) lsearch.c
mysql.so:         $(PHDRS) mysql.c
nis.so:           $(PHDRS) nis.c
nisplus.so:       $(PHDRS) nisplus.c
oracle.so:        $(PHDRS) oracle.c
passwd.so:        $(PHDRS) passwd.c
pgsql.so:         $(PHDRS) pgsql.c
redis.so:         $(PHDRS) redis.c
spf.so:           $(PHDRS) spf.c
sqlite.so:        $(PHDRS) sqlite.c
testdb.so:        $(PHDRS) testdb.c
whoson.so:        $(PHDRS) whoson.c

# End

=== debian/changelog ===
exim4 (4.93-11) unstable; urgency=medium

  * Update from exim-4.93+fixes:
    + 74_26-Auths-fix-cyrus-sasl-driver-for-gssapi-use.-Bug-2524.patch
    + 74_27-GnuTLS-fix-hanging-callout-connections.patch

 -- Andreas Metzler <ametzler@debian.org>  Fri, 14 Feb 2020 16:02:05 +0100

exim4 (4.93-10) unstable; urgency=medium

  * Refresh debian/upstream/signing-key.asc from
    https://downloads.exim.org/Exim-Maintainers-Keyring.asc.
  * Update from exim-4.93+fixes:
    + 74_23-Fix-taint-hybrid-checking-on-BSD.patch
    + 74_24-TFO-even-in-binary-built-for-modern-Linux-handle-err.patch
    + 74_25-Taint-slow-mode-checking-only.patch

 -- Andreas Metzler <ametzler@debian.org>  Sat, 01 Feb 2020 11:06:29 +0100

exim4 (4.93-9) unstable; urgency=medium

  * Add 74_22-Taint-hybrid-checking-mode.patch.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 16 Jan 2020 18:15:36 +0100

exim4 (4.93-8) unstable; urgency=medium

  * Refresh debian/upstream/signing-key.asc from
    https://downloads.exim.org/Exim-Maintainers-Keyring.asc.
  * More updates from exim-4.93+fixes:
    + 74_19-SPF-fix-result-for-case-of-only-non-spf-TXT-RRs.-Bug.patch
    + 74_20-Fix-error-logging-for-dynamically-loaded-modules.-Bu.patch
    + 74_21-heimdal-auth-fix-the-increase-of-big_buffer-size.-Bu.patch
      Closes: #949034

 -- Andreas Metzler <ametzler@debian.org>  Thu, 16 Jan 2020 14:38:21 +0100

exim4 (4.93-7) unstable; urgency=medium

  * README.Debian: Expand a little bit on how macros work. (See #948308)
  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 11 Jan 2020 11:12:35 +0100

exim4 (4.93-6) experimental; urgency=low

  * Improve on reproducible build, set EXIM_ARCHTYPE=DEB_TARGET_GNU_CPU to
    override/avoid CPU detection with uname -m.
  * More updates from exim-4.93+fixes:
    74_18-SPF-fix-handling-mix-of-spf-and-other-txt-records.-B.patch
  * Polish debian/rules. (Use CURDIR instead of executing `pwd`, avoid :=
    assignments with $(shell).
  * Build with SMTPUTF8 support. (SUPPORT_I18N_2008 and SUPPORT_I18N)
    Closes: #885149
    In configuration set smtputf8_advertise_hosts to '' instead of '*'.

 -- Andreas Metzler <ametzler@debian.org>  Mon, 06 Jan 2020 13:58:44 +0100

exim4 (4.93-5) unstable; urgency=medium

  * More updates from exim-4.93+fixes:
    74_14-SPF-only-require-v-spf1-on-TXT-DNS-records-during-lo.patch
    74_15-Eximon-fix-string-handling.-Bug-2500.patch
    74_16-Fix-build-with-heimdal-gssapi.-Bug-2501.patch
    74_17-Fix-the-variables-set-by-gsasl-authenticator.patch

 -- Andreas Metzler <ametzler@debian.org>  Fri, 03 Jan 2020 19:02:33 +0100

exim4 (4.93-4) unstable; urgency=medium

  * Improve on TLS info in README.Debian.
  * More updates  from exim-4.93+fixes:
    74_10-DMARC-default-dmarc_tld_file-to-unset.-Bug-2494.patch
    74_11-Zero-smtp-context-structure-after-allocation.patch
    74_13-ARC-Reset-received-ARC-instance-counter-before-next-.patch

 -- Andreas Metzler <ametzler@debian.org>  Thu, 26 Dec 2019 15:13:40 +0100

exim4 (4.93-3) unstable; urgency=medium

  * More updates (4.93.0.3) from exim-4.93+fixes:
    74_08-ARC-fix-crash-induced-by-misordered-headers.-Bug-249.patch
    74_09-Fix-taint-issue-with-retry-records.-Bug-2492.patch

 -- Andreas Metzler <ametzler@debian.org>  Fri, 13 Dec 2019 18:56:18 +0100

exim4 (4.93-2) unstable; urgency=medium

  * Update to exim-4.93+fixes branch
    74_01-PAM-fix-crash-in-the-pam-expansion-condition.-Bug-24.patch
    74_02-Regard-command-line-recipients-as-tainted.patch
    74_03-TFO-disable-for-FreeBSD.patch
    74_04-Hurd-errno-really-uses-more-than-a-short-sized-value.patch
    74_06-local_scan-align-local_scan.h-and-docs-re.-store_get.patch
    74_07-Fix-taint-issue-in-transport-with-DSN.-Bug-2491.patch

 -- Andreas Metzler <ametzler@debian.org>  Thu, 12 Dec 2019 18:25:44 +0100

exim4 (4.93-1) unstable; urgency=low

  * Point watchfile to release directory again.
  * New upstream version.

 -- Andreas Metzler <ametzler@debian.org>  Mon, 09 Dec 2019 19:05:17 +0100

exim4 (4.93~RC7-1) unstable; urgency=low

  * New upstream version.
    + Update md5 hash for upstream example configuration. (Change not relevant
      for Debian)
  * 75_01-Build-Enable-GNU-Hurd-Bug-2476.patch and
    75_02-TFO-disable-for-FreeBSD.patch from upstream 4.next branch: Re-enable
    build on GNU/hurd. (Thanks. Samuel Thibault) Closes: #945943

 -- Andreas Metzler <ametzler@debian.org>  Thu, 05 Dec 2019 17:50:20 +0100

exim4 (4.93~RC5-1) unstable; urgency=low

  * New upstream version.
    + Bump exim4-localscanap Provides.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 27 Nov 2019 19:25:06 +0100

exim4 (4.93~RC4-1) unstable; urgency=low

  * New upstream version.

 -- Andreas Metzler <ametzler@debian.org>  Tue, 19 Nov 2019 19:39:37 +0100

exim4 (4.93~RC3-1) unstable; urgency=low

  * Drop (dead) link to openspf.org in rcpt ACL message string.
    Closes: #944786
  * New upstream version.
    + Unfuzz 90_localscan_dlopen.dpatch.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 17 Nov 2019 11:37:15 +0100

exim4 (4.93~RC2-1) unstable; urgency=low

  * New upstream beta version.
    + Drop patches/75*.
  * Allow overriding cron.daily paniclog report recipient. Closes: #611085
  * Add REMOTE_SMTP_SMARTHOST_TLS_VERIFY_CERTIFICATES and
    REMOTE_SMTP_SMARTHOST_TLS_VERIFY_HOSTS to set tls_verify_certificates and
    tls_verify_hosts respectively on the remote_smtp_smarthost transport.
    Closes: #823831
    In addition to that add REMOTE_SMTP_HOSTS_REQUIRE_TLS to set
    hosts_require_tls for the remote_smtp transport. Closes: #780033

 -- Andreas Metzler <ametzler@debian.org>  Sun, 10 Nov 2019 13:30:37 +0100

exim4 (4.93~RC1-4) unstable; urgency=low

  * Add libnet-ssleay-perl dependency to "basic" autopkg test. We do not need
    it yet but will forget for sure to add it when we do.
  * Following upstream defaults do not disable incoming TLS by default - i.e.
    if MAIN_TLS_ENABLE is not set - but use a self-signed certificate.


=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: exim4
 Section: mail
 Priority: standard
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Exim4 Maintainers <pkg-exim4-maintainers@lists.alioth.debian.org>
+Maintainer: Exim4 Maintainers <pkg-exim4-maintainers@lists.alioth.debian.org>
 Uploaders:
  Andreas Metzler <ametzler@debian.org>,
  Marc Haber <mh+debian-packages@zugschlus.de>
 Homepage: https://www.exim.org/
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
+Rules-Requires-Root: binary-targets
 Vcs-Git: https://salsa.debian.org/exim-team/exim4.git
 Vcs-Browser: https://salsa.debian.org/exim-team/exim4
 Build-Depends:
@@ -18,6 +18,8 @@
  libdb5.3-dev,
  libgnutls28-dev (>= 3.5.7),
  libident-dev,
+ libidn11-dev,
+ libidn2-dev,
  libldap2-dev,
  libpam0g-dev,
  libpcre3-dev,
@@ -32,8 +34,7 @@
  libxt-dev,
  lynx,
  po-debconf,
- xsltproc,
- lsb-release
+ xsltproc
 
 Package: exim4-base
 Architecture: any
@@ -140,7 +141,7 @@
 Architecture: any
 Priority: optional
 Provides:
- exim4-localscanapi-2.0,
+ exim4-localscanapi-3.1,
  mail-transport-agent,
  ${dist:Provides:exim4-daemon-light}
 Conflicts: mail-transport-agent
@@ -206,7 +207,9 @@
 Package: exim4-daemon-heavy
 Architecture: any
 Priority: optional
-Provides: exim4-localscanapi-2.0, mail-transport-agent
+Provides:
+ exim4-localscanapi-3.1,
+ mail-transport-agent
 Conflicts: mail-transport-agent
 Replaces: exim4-base (<= 4.61-1), mail-transport-agent
 Depends:
@@ -242,7 +245,7 @@
 #Package: exim4-daemon-custom
 #Architecture: any
 #Priority: optional
-#Provides: exim4-localscanapi-2.0, mail-transport-agent
+#Provides: exim4-localscanapi-3.1, mail-transport-agent
 #Conflicts: mail-transport-agent
 #Replaces: exim4-base (<= 4.61-1), mail-transport-agent
 #Depends:

=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,15 @@
 # Uncomment this to turn on verbose mode.
 # export DH_VERBOSE=1
 
-buildname := $(shell scripts/os-type)-$(shell scripts/arch-type)
-DEBIAN := $(shell pwd)/debian
+# avoid uname -m detection
+ifdef DEB_TARGET_GNU_CPU
+export EXIM_ARCHTYPE = $(DEB_TARGET_GNU_CPU)
+else
+export EXIM_ARCHTYPE = $(shell dpkg-architecture -qDEB_TARGET_GNU_CPU)
+endif
+
+buildname = $(shell scripts/os-type)-$(shell scripts/arch-type)
+DEBIAN =    $(CURDIR)/debian
 
 export DEB_BUILD_MAINT_OPTIONS := hardening=+all
 include /usr/share/dpkg/buildflags.mk
@@ -48,7 +55,7 @@
 # Please note that building exim4-daemon-heavy with OpenSSL is a GPL
 # violation.
 
-PROVIDE_DEFAULT_MTA := $(shell if dpkg-vendor --is Ubuntu || \
+PROVIDE_DEFAULT_MTA = $(shell if dpkg-vendor --is Ubuntu || \
 	dpkg-vendor --derives-from Ubuntu ; then : ; else \
 	echo "default-mta" ; fi)
 # for reproducible build. If set exim would use $TZ as default value for
@@ -109,7 +116,7 @@
 		done
 
 override_dh_auto_build:
-	for i in $(daemons) ; do \
+	set -e ; for i in $(daemons) ; do \
 		echo building $$i; \
 		cd $(CURDIR)/b-$$i && \
 		$(MAKE) FULLECHO='' ; \
@@ -202,8 +209,3 @@
 	env CONFDIR=$(DEBIAN)/debconf \
 		$(DEBIAN)/debconf/update-exim4.conf.template --nobackup --run
 
-# only called manually by maintainer before upload.
-update-mtaconflicts:
-	which grep-aptavail > /dev/null && \
-		grep-aptavail --show-field=Package --field=Provides \
-		mail-transport-agent --no-field-names \
